=== debian/changelog ===
ball (1.5.0+git20220524.d85d2dd-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Update Breaks+Replaces
  * Build-Depends: libgl-dev, liblpsolve55-dev, libnsl-dev, libsvm-dev,
    libtbb-dev
  * Build-Depends: python3-sipbuild, sip-tools

  [ Bas Couwenberg ]
  * Don't use qtwebengine5-dev on mipsel, package to be removed.

  [ Yavor Doganov ]
  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Add lost qttools5-dev (#1026815).
    Remove libtirpc-dev; not really needed.  Remove Python-related stuff
    and chrpath (not sufficient for the job at hand).
    (libbal1.5, libballview1.5): Mark as Multi-Arch: same.
    (libball1.5-dev): Likewise.
    (Depends): Tighten inter-package dependencies.  Add missing
    dependencies to -dev packages.
    (libball1.5-doc) <Suggests>: Replace libball1.5 with libbal1.5-dev.
    <Conflicts>: Remove; obsolete.
    (Rules-Requires-Root): Remove; redundant.
    (Standards-Version): Claim compliance with 4.7.2; no changes needed.
  * debian/rules (CXXFLAGS, LDFLAGS): Remove definitions.
    (FORCE_SOURCE_DATE): Export for a reproducible tutorial.pdf.
    (common_targets): New helper variable.
    (override_dh_auto_configure): Run dh_auto_configure; fixes cross
    building.  Pass -DBALL_PYTHON_SUPPORT=OFF.
    Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON for a reproducible build.
    (override_dh_auto_build-arch, override_dh_auto_build-indep): Use
    dh_auto_build so that parallel building works.
    (override_dh_installdocs-indep): Fix broken symlink; this allows
    BALLView to load the demo and the tutorial (Closes: #1040385).
    (override_dh_auto_install-arch): Install libraries and .cmake files in
    the Multi-Arch location.  Don't invoke chrpath.  Install .so symlinks
    in the -dev packages; they are useless otherwise.
    (override_dh_auto_install-indep): Fix lintian W: national-encoding.
  * debian/patches/gcc-15.patch: New; fix FTBFS with GCC 15
    (Closes: #1114056).
  * debian/patches/lpsolve-link.patch: New; fix linking with lpsolve.
  * debian/patches/cmake-4.patch: New; fix FTBFS with CMake 4
    (Closes: #1112717).
  * debian/patches/reproducibility.patch: New; fix two reproducibility
    issues related to Doxygen-generated documentation.
  * debian/patches/spelling-errors.patch: New; self-explanatory.
  * debian/patches/2to3.patch: Make Last-Update DEP-compliant.
  * debian/patches/missing_GLEW: Likewise.
  * debian/libball1.5-dev.dirs: Delete; not needed.
  * debian/tests/simple-examples: New test; compile some of the examples
    and run them against all available PDB files.
  * debian/tests/control: New file.
  * debian/libball1.5-data.lintian-overrides: Fix context syntax.
  * debian/libballview1.5-dev.lintian-overrides: Delete; no longer needed.
  * debian/ballview.1: Rename as...
  * debian/BALLView.1: ...so that lintian doesn't complain.
  * debian/ballview.manpages: Adjust filename.
  * debian/ballview.desktop: Rename as...
  * debian/BALLView.desktop: ...to match the executable.  Add %F to the
    Exec key to fix a lintian warning.  Add Keywords key.  Rename
    GenericName to Comment to fix an AppStream error.
  * debian/ballview.install: Adjust accordingly.
  * debian/libball1.5-doc.examples: New file; install all C++ examples.
  * debian/upstream/metadata: Add Repository and Repository-Browse.
  * debian/watch: Upgrade to version 5.
  * debian/copyright: Replace GPL-2+ with LGPL-2.1+.  Add FreeBSD and
    Modified BSD licenses.  Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 13 Nov 2025 15:18:57 +0100

ball (1.5.0+git20180813.37fc53c-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop sip dependency. (Closes: #1060741)

 -- Bastian Germann <bage@debian.org>  Tue, 19 Aug 2025 01:10:41 +0200

ball (1.5.0+git20180813.37fc53c-11) unstable; urgency=medium

  * Team Upload.
  * Add B-D on qttools5-dev (Closes: #1026815)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 21 Dec 2022 21:16:23 +0530

ball (1.5.0+git20180813.37fc53c-10) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix dh_installdocs
    Closes: #1001657
  * Seems autopkgtest-pkg-python is running automagically - just provide
    the proper module name
  * Remove Python3 package since it does not work properly with SIP and
    is not really needed to run ballview
    Leave python3 related Build-Depends - otherwise cmake will stumble
    upon missing dependencies

  [ Étienne Mollier ]
  * d/rules: set SIP_LIBRARIES cmake variable; trigger sip bindings build.
  * Add fix-findsip.patch: adjust cmake file to trigger build.
    This also fixes a minor ftbfs in bindings, likely due to move to gcc-11.
  * Add fix-python-bindings.patch: adjust PyString_ and PyInt_ bindings to
    match types in use in Python 3.

 -- Andreas Tille <tille@debian.org>  Sat, 18 Dec 2021 16:49:53 +0100

ball (1.5.0+git20180813.37fc53c-9) unstable; urgency=medium

  * Add versions to Breaks fields
  * Move some docs to /usr/share/doc
  * Lintian-override for non-user oriented text files
  * build depend on qtwebengine5-dev also on mips64el
    Closes: #995409

 -- Andreas Tille <tille@debian.org>  Mon, 13 Dec 2021 08:53:26 +0100

ball (1.5.0+git20180813.37fc53c-8) unstable; urgency=medium

  * Remove unneeded Build-Depends
    Closes: #982365

 -- Andreas Tille <tille@debian.org>  Sun, 12 Dec 2021 15:11:43 +0100

ball (1.5.0+git20180813.37fc53c-7) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team upload.
  * Fix FTBFS with glibc (Closes: #994480)

  [ Andreas Tille ]
  * Remove outdated lintian-overrides
  * Add missing DEP3 header
  * Use 2to3 to convert Python2 script to Python3
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.


