=== debian/tests/control ===
Tests:
 simple-examples,
Restrictions:
 allow-stderr,
Depends:
 build-essential,
 pkgconf,
 @,
