=== debian/watch ===
Version: 5

Source: https://github.com/BALL-Project/ball.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.5.0+git%cd.%h
# Issue asking for release tags:
#   https://github.com/BALL-Project/ball/issues/655
# once this is fixed the old watch file can be brought into effect again:
#
# opts="uversionmangle=s/_/./g;s/-BETA/~beta/" \
#  https://github.com/BALL-Project/ball/releases .*/V?(\d[-\d._BETA]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
